%function [X,Y,Z]=MainTracker(PixelClock,FrameRate)
PixelClock=17;
FrameRate=12;
Time=240;

    Tank.RXside=1;
    Tank.RXtop=1;
    Tank.RY=1;
    Tank.RZ=1;
    Tank.MY=500;
    
    [cam1, cam2]=InitCams(PixelClock,FrameRate);
    
    [A,B]=CaptureImg();
    [X,Y] = SelectAOI(cam1,A);
    pause(1);
    [A,B]=CaptureImg();
    [X,Y] = SelectAOI(cam2,B);
    
    for i=1:FrameRate*10
        [Imag1{i}.I,Imag2{i}.I]=CaptureImg();
        pause(1/FrameRate);
    end
    
    [BackgroundImage1] = ExtractBackground(Imag1);
    [BackgroundImage2] = ExtractBackground(Imag2);
    
%     [X1,Y1] = SelectAOI(cam1,BackgroundImage1);
%     [X2,Y2] = SelectAOI(cam2,BackgroundImage2);
%     
    figure
    hold on
    xlim([0 1000]);
    ylim([0 1000]);
    zlim([0 1000]);
    view(3);
    th1=1e16;
    th2=1e15;
    for i=1:Time*FrameRate
        hold on
        [Image1,Image2]=CaptureImg();
         II1{i}.I=Image1;
         II2{i}.I=Image2;
        
        [TrackTopView]=TrackSingleFish(Image1,BackgroundImage1,th1);
        [TrackSideView]=TrackSingleFish(Image2,BackgroundImage2,th2);
         II1{i}.X=TrackTopView.x;
         II1{i}.Y=TrackTopView.y;
         
         II2{i}.X=TrackSideView.x;
         II2{i}.Y=TrackSideView.y;
        
        [Xa(i),Ya(i),Za(i)]=Track3D(TrackTopView,TrackSideView, Tank);
        
%         plot3(Xa(i),Ya(i),Za(i),'*r');
    end

    ExitCams(cam1,cam2);
    
%end
        
        