function [Track1]=TrackSingleFish(Image,BackgroundImage,th)
        
         h1=double(BackgroundImage);
        h2=double(Image(:,:,2));
        hh1=immultiply(h1,h1);
        hh2=immultiply(h2,h2);
        
        image2=imsubtract(hh1,hh2);
        image3=immultiply(double(image2),double(image2));
        image4=immultiply(double(image3),double(image3));

        image5=image4>th;
        image6=bwmorph(image5,'close');
        
        regProp  = regionprops(image6, {'Centroid','Area','Image'} );

        Area=cat(1,regProp.Area);
        WghtCen=cat(1,regProp.Centroid);

        [sArea sAind]=sort(Area,1, 'descend' );

        Track1.x=-1;
        Track1.y=-1;
        
        
        if(length(Area)>0)
            Track1.x=WghtCen(sAind(1),1);
            Track1.y=WghtCen(sAind(1),2);
        end

end