function [Track1]=TrackSingleFishnew(Image,BackgroundImage)
        
        h1=(BackgroundImage);
        h2=(Image(:,:,2));
         h11=double(entropyfilt(h1,true(3)));
         h22=double(entropyfilt(h2,true(3)));
%         h11=double((h1));
%         h22=double((h2));
        hh1=immultiply(h11,h11);
        hh2=immultiply(h22,h22);
        
        image2=imsubtract(hh1,hh2);
        image3=immultiply(double(image2),double(image2));
        image4=immultiply(double(image3),double(image3));

        gg=(image4-min(min(image4)))./(max(max(image4))-min(min(image4)));
        level = graythresh(gg);
        image5 = im2bw(gg,level);
        %image5=image4>1e5;
        image6=bwmorph(image5,'close');
        regProp  = regionprops(image6,double(Image(:,:,2)), {'Centroid','Area','PixelValue'} );

        Area=cat(1,regProp.Area);
        WghtCen=cat(1,regProp.Centroid);

        [sArea sAind]=sort(Area,1, 'descend' );

        Track1.x=-1;
        Track1.y=-1;
        
        
        if(length(Area)>0)
            Track1.x=WghtCen(sAind(1),1);
            Track1.y=WghtCen(sAind(1),2);
        end

end