function Track3DSingle1(cam1,cam2,bufArr,imgSize,imgWidth,imgHeight,AOI1,AOI2,SideFileName,TopFileName,TrackingDataFileName,Time,FrameRate,Tank,handles,hObject,eventdata)

    axes(handles.axes4);
    axis off;
    hold on;
    cla(handles.axes4,'reset');
    
    view(3);
    hold off;
    
    TotalTime=Time*FrameRate;
    
    S(TotalTime).x=0;
    S(TotalTime).y=0;
    S(TotalTime).t=0;
    
    T(TotalTime).x=0;
    T(TotalTime).y=0;
    
     
    S(1).x=0;
    S(1).y=0;
    
    T(1).x=0;
    T(1).y=0;

    writerObj1 = VideoWriter(SideFileName) ;
    writerObj1.FrameRate=FrameRate;
    open(writerObj1);

    writerObj2 = VideoWriter(TopFileName) ;
    writerObj2.FrameRate=FrameRate;
    open(writerObj2);

    set(handles.text1,'Visible','on');
     
    [s1,t1]=CaptureImg1(cam1,cam2,bufArr,imgSize,imgWidth,imgHeight,AOI1,AOI2);
    temp6(1)=0;
    temp6t(1)=0;
    while((temp6(1)<40) || (temp6t(1)<30))
            tic;
            pause(1/FrameRate);
            [s2,t2]=CaptureImg1(cam1,cam2,bufArr,imgSize,imgWidth,imgHeight,AOI1,AOI2);
            temp2=double(s1)-double(s2);
            %temp1=max(temp2(:))-min(temp2(:));%mean(abs(temp2(:)));
            temp3=abs(temp2);
            temp4=temp3>0.5*max(temp2(:));
            regProp  = regionprops(temp4, {'Area'} );
            temp5=cat(1,regProp.Area);
            temp6=sort(temp5,1, 'descend' );
            
            if(isempty(temp6))
                temp6(1)=0;
            end
            
            temp2t=double(t1)-double(t2);
            temp3t=abs(temp2t);
            temp4t=temp3t>0.5*max(temp2t(:));
            regPropt  = regionprops(temp4t, {'Area'} );
            temp5t=cat(1,regPropt.Area);
            temp6t=sort(temp5t,1, 'descend' );
            
            if(isempty(temp6t))
                temp6t(1)=0;
            end
    end
    
    
    
    %[SI1,TI1]=CaptureImg1(cam1,cam2,bufArr,imgSize,imgWidth,imgHeight,AOI1,AOI2);
    SI1=s1;
    TI1=t1;    
    TI1=flipdim(TI1',2);
    
    SI2=s2;
    TI2=t2;    
    TI2=flipdim(TI2',2);
    
    axes(handles.axes1);
    axis off;
    
    axes(handles.axes2);
    axis off;
    
    axes(handles.axes4);
    axis off;
    hold on;
    cla(handles.axes4,'reset');
    zlim(handles.axes4,[0 size(s1,1)]);
    xlim(handles.axes4,[0 size(s1,2)]);
    ylim(handles.axes4,[0 size(t1,2)*(size(s1,1)\size(t1,1))]);
    
    view(3);
    hold off;
%     hold(handles.axes4);
    Nop1=0;
    Nop2=0;
    OI1=TI1;
    OI2=SI2;
    
    [T(1).x,T(1).y Nop1 OI1]=ExtractPosTop(TI1,TI2,T(1),Nop1,OI1);    
    [S(1).x,S(1).y Nop2 OI2]=ExtractPosSid1(SI1,SI2,S(1),Nop2,OI2);
    
     set(handles.text1,'String','100%%');
    
    V=insertShape(SI1,'Circle' ,[S(1).x S(1).y 20],'color','r');
    writeVideo(writerObj1,imresize(V,2));
    
    V1=insertShape(TI1,'Circle' ,[T(1).x T(1).y 20],'color','r');
    writeVideo(writerObj2,imresize(V1,2));
    tt=toc;
    S(1).t=tt;
    OldT=T(1);
    for i=2:Time*FrameRate
        tt1=toc;
        
        [SI2,TI2]=CaptureImg1(cam1,cam2,bufArr,imgSize,imgWidth,imgHeight,AOI1,AOI2);
        AAA{i}.SI=SI2;
        BBB{i}.TI=TI2;
        
        TI2=flipdim(TI2',2);
        
        [S(i).x,S(i).y Nop2 OI2]=ExtractPosSid1(SI1,SI2,S(i-1),Nop2,OI2);
        
        Lim1=max(round(S(i).x*(size(TI1,2)/size(SI1,2))-15),1);
        Lim2=min(round(S(i).x*(size(TI1,2)/size(SI1,2))+15),size(TI1,2));
        
%         OldT.x=T(i-1).x-Lim1;
%         OldT.y=T(i-1).y;
        
        [T(i).x,T(i).y Nop1 OI1(:,Lim1:Lim2)]=ExtractPosTop(TI1(:,Lim1:Lim2),TI2(:,Lim1:Lim2),OldT,Nop1,OI1(:,Lim1:Lim2));
        
        if(Nop1==0)
            OI1=TI2;
        end
        OldT=T(i);
        
        T(i).x=T(i).x+Lim1;
        
        
        SI1=SI2;
        TI1=TI2;
        
        V=insertShape(SI1,'FilledCircle' ,[S(i).x S(i).y 10],'color','r','Opacity' ,0.3);
        writeVideo(writerObj1,imresize(V,2));

        V1=insertShape(TI1,'FilledCircle' ,[T(i).x T(i).y 10],'color','r','Opacity' ,0.3);
        writeVideo(writerObj2,imresize(V1,2));

        imagesc(V1,'Parent',handles.axes1);
        imagesc(V,'Parent',handles.axes2);
        axes(handles.axes4);
        
        cla(handles.axes4,'reset');
        hold on;
        view(3);
        xlim(handles.axes4,[0 size(s1,2)]);
        zlim(handles.axes4,[0 size(s1,1)]);
        ylim(handles.axes4,[0 size(t1,1)*(size(s1,1)/size(t1,1))]);
        if(i>20)
            for k=1:20
                xx(k)=size(s1,2)-S(i-k).x;
                yy(k)=size(s1,1)-S(i-k).y;
                zz(k)=T(i-k).y;
            end
            for k=1:i-20
                xx1(k)=size(s1,2)-S(k).x;
                yy1(k)=size(s1,1)-S(k).y;
                zz1(k)=T(k).y;
            end
            
            zz=zz.*(size(SI2,1)/size(TI2,1));
            zz1=zz1.*(size(SI2,1)/size(TI2,1));
            
            
            plot3(xx,zz,yy,'*-r','Parent',handles.axes4);
            plot3(xx1,zz1,yy1,':','color',[0.8 0.8 0.8],'Parent',handles.axes4);
            xlabel('x');
            ylabel('y');
            zlabel('z');
            
%         else
%             for k=1:i
%                 xx(i)=size(s1,2)-S(k).x;
%                 yy(i)=size(s1,1)-S(k).y;
%                 zz(i)=T(k).y;
%             end
%             zz=zz.*(size(SI2,1)/size(TI2,1));
%             
%             plot3(xx,yy,zz,'*-r','Parent',handles.axes4);
        end
        
        hold off;
        %hold(handles.axes4);
       
        set(handles.text1,'String',sprintf('Remain: %2.0f %%',100*(TotalTime-i)/(TotalTime)));
        refreshdata(handles.text1);
        
        tt=toc;
        S(i).t=(1/FrameRate)-(tt-tt1);%tt;
        pause((1/FrameRate)-(tt-tt1));
        
        % added 23-28.10.14 agd to write data file regularly
        % R = rem(i,20); 15 secs = 15*8 = 120 frames
        totaltime = Time*FrameRate;
        remaining = totaltime - i;
        if((totaltime - remaining) > 240)
            if ((remaining) > 240)
              if (rem(remaining,240) == 0)        
              SFrame = S; TFrame = T;
              UXY=[SFrame(:).t; SFrame(:).x; SFrame(:).y]';
              VXY=[TFrame(:).x; TFrame(:).y]';
              WXY=[UXY VXY];
              csvwrite('c:\FishMon\data.txt',WXY);
              end
            end
        end
        % end added 23-28.10.14 agd
    end
    
    SideFrame=S;
    TopFrame=T;
    SXY=[SideFrame(:).t; SideFrame(:).x; SideFrame(:).y]';
    TXY=[TopFrame(:).x; TopFrame(:).y]';
    XYZ=[SXY TXY];
    csvwrite(TrackingDataFileName,XYZ);
    
    
    
    fileID = fopen([TrackingDataFileName,'_Config.txt'],'w');
    fprintf(fileID,'%25s %25s %25s %25s %25s %25s\n','Tank Width (cm)\n','Tank Width (pix/cm)','Tank Length (cm)','Tank Length (pix/cm)','Tank Height (cm)','Tank Height (pix/cm)');
    if(~isempty(Tank))
        fprintf(fileID,'%3.2f %3.2f %3.2f %3.2f %3.2f %3.2f\n',Tank.WidthCm,Tank.WidthPix,Tank.LengthCm,Tank.Len1Pix,Tank.HeightCm,Tank.HeightPix);
    else
        fprintf(fileID,'No Tank Configuration ;(');
        Tank=[];
        
    end
    save([TrackingDataFileName(1:end-4),'.mat'],'XYZ','Tank','SI1','TI1');
    fclose(fileID);
    
    
    
    close(writerObj1);
    close(writerObj2);
    set(handles.text1,'String','Busy');
end