function [x,y,Nop1,OI1]=ExtractPosSid(I1,I2,OP,Nop1,OI1)

    if(Nop1<2)
        i1=double(I2)-double(I1);
    else
        i1=double(I2)-double(OI1);
    end
    
    v1=max(i1(:))-min(i1(:));
    
    if(v1>180)
        i2=i1>0.9*max(i1(:));

        regProp  = regionprops(i2, {'Centroid','Area'} );
        
        r1=cat(1,regProp.Area);
        w1=cat(1,regProp.Centroid);

        [s1 si1]=sort(r1,1, 'descend' );
        
        if(length(r1)>0)
            
            x=w1(si1(1),1);
            y=w1(si1(1),2);
            if(Nop1<10)
                Nop1=0;
            else
                Nop1=Nop1+1;
            end
        end
    else
        x=OP.x;
        y=OP.y;
        Nop1=Nop1+1;
        if(Nop1==1)
            OI1=I1;
        end
            
    end     
        
    
end