function [Tank]=GetTankDim(TopViewImg,SidViewImg)
    
    wv=zeros(2,2);
    while(abs(wv(2,2)-wv(1,2))<=abs(wv(2,1)-wv(1,1)) )
        h1=figure;
        imshow(TopViewImg);
        title('Draw a vertical (the width) line! Double click when finish','fontweight','bold','fontsize',14);
        w=imline;wv=wait(w);
        close(h1);
        if(abs(wv(2,2)-wv(1,2)) >abs(wv(2,1)-wv(1,1)) )
            Tank.WidthPix=abs(wv(2,2)-wv(1,2));
        else
            e1=msgbox('The Line has to be veritcal! Retry please!','Error','error');
            uiwait(e1);
        end
    end
    %Tank.WidthCm=input('Enter tank width (cm):');
    
    lv1=zeros(2,2);
    while(abs(lv1(2,1)-lv1(1,1))<=abs(lv1(2,2)-lv1(1,2)) )
        h1=figure;
        imshow(TopViewImg);
        title('Draw a horizontal (the length) line! Double click when finish','fontweight','bold','fontsize',14);
        l1=imline;lv1=wait(l1);
        close(h1);
        if(abs(lv1(2,1)-lv1(1,1)) >abs(lv1(2,2)-lv1(1,2)) )
            Tank.Len1Pix=abs(lv1(2,1)-lv1(1,1));
        else
            e2=msgbox('The Line has to be horizontal! Retry please!','Error','error');
            uiwait(e2);
        end
        
    end
    %Tank.LengthCm=input('Enter tank length (cm):');
    
    hv=zeros(2,2);
    while(abs(hv(2,2)-hv(1,2))<=abs(hv(2,1)-hv(1,1)) )
        h1=figure;
        imshow(SidViewImg);
        title('Draw a vertical (the hight) line! Double click when finish','fontweight','bold','fontsize',14);
        h=imline;hv=wait(h);
        close(h1);
        if(abs(hv(2,2)-hv(1,2)) >abs(hv(2,1)-hv(1,1)) )
            Tank.HeightPix=abs(hv(2,2)-hv(1,2));
        else
            e3=msgbox('The Line has to be vertical! Retry please!','Error','error');
            uiwait(e3);
        end
        
    end
    %Tank.HeightCm=input('Enter tank height (cm):');
    
    lv2=zeros(2,2);
    while(abs(lv2(2,1)-lv2(1,1))<=abs(lv2(2,2)-lv2(1,2)) )
        h1=figure;
        imshow(SidViewImg);
        title('Draw a  horizontal (the length) line! Double click when finish','fontweight','bold','fontsize',14);
        l2=imline;lv2=wait(l2);
        close(h1);
        if(abs(lv2(2,1)-lv2(1,1)) >abs(lv2(2,2)-lv2(1,2)) )
            Tank.Len2Pix=abs(lv2(2,1)-lv2(1,1));
        else
            e4=msgbox('The Line has to be vertical! Retry please!','Error','error');
            uiwait(e4);
        end
        
    end
end
    
    