function [cam1, cam2]=InitCams(PixelClock,FramRate)

    cam1=actxcontrol('UEYECAM.uEyeCamCtrl.1','position',[0 0 1280/2 1024/2],'parent', gcf);
    temp1=cam1.InitCamera(0);
    %cam1.SetImageAOI(450,300,700,700);
    hFig1 = figure(1);
    set(hFig1,'PaperPositionMode','auto');
    set(hFig1, 'Position', [0 0 1280/2 1024/2]);
    
    cam1.SetPixelClock(PixelClock);
    cam1.SetFrameRate(FramRate);
    cam1.SetExposureTime(100);
    cam1.SetSaturation(0.0,1);
    
    figure
    cam2=actxcontrol('UEYECAM.uEyeCamCtrl.1','position',[0 0 1280/2 1024/2],'parent', gcf);
    temp2=cam2.InitCamera(0);
    %cam1.SetImageAOI(450,300,700,700);
    hFig2 = figure(2);
    set(hFig2,'PaperPositionMode','auto');
    set(hFig2, 'Position', [0 0 1280/2 1024/2]);
    
    cam2.SetPixelClock(PixelClock);
    cam2.SetFrameRate(FramRate);
    %cam2.SetExposureTime(40);
    cam2.SetExposureTime(100);
    cam2.SetSaturation(0.0,1);
    
end
