function [cam1,bufArr,imgSize,imgWidth,imgHeight]=InitCams1(PixelClock,FramRate,CAM_ID)

    computer_type=computer;

    if strcmp (computer_type,'PCWIN64')

    NET.addAssembly('C:\Program Files\IDS\uEye\Develop\DotNet\x64\uEyeDotNetUserLayer.dll');

    NET.addAssembly('C:\Program Files\IDS\uEye\Develop\DotNet\x64\uEyeDotNetApiLayer.dll');

    elseif strcmp (computer_type,'PCWIN')

    NET.addAssembly('C:\Program Files\IDS\uEye\Develop\DotNet\x86\uEyeDotNetUserLayer.dll');

    NET.addAssembly('C:\Program Files\IDS\uEye\Develop\DotNet\x86\uEyeDotNetApiLayer.dll');

    end

    cam1 = uEye.Camera;

    %cam.Exit();

    %CAM_ID=1;

    exposure_ms=100;

    cam1.Init(CAM_ID);

    cam1.Timing.PixelClock.Set(PixelClock);
    cam1.Timing.Framerate.Set(FramRate);
    cam1.Timing.Exposure.Set(exposure_ms); % msec
    cam1.Saturation.Set(0,2);
   
    %ColorMode=uEye.Defines.ColorMode.SENSOR_RAW8;
    ColorMode=uEye.Defines.ColorMode.UYVY_BAYER_PACKED;

    cam1.PixelFormat.Set(11);

    cam1.Trigger.Set(uEye.Defines.TriggerMode.Software);

    [tmp, memId] = cam1.Memory.Allocate(true);

    [tmp, imgWidth] = cam1.Memory.GetWidth(memId);

    [tmp, imgHeight] = cam1.Memory.GetHeight(memId);

    [tmp, imgBpp] = cam1.Memory.GetBitsPerPixel(memId);

    imgBpp = imgBpp / 8;

    imgSize = imgWidth * imgHeight * imgBpp;

    bufArr = NET.createArray('System.Byte', imgSize);

    soft = uEye.Software(CAM_ID);

    soft.SetEnableAutoWhiteBalance(true);
    
    soft.SetEnableAutoGain(true);

    soft.SetEnableAutoShutter(true);

   
    
end
