function []=Track3DSingle(cam1,cam2,bufArr,imgSize,imgWidth,imgHeight,AOI1,AOI2,SideFileName,TopFileName,TrackingDataFileName,Time,FrameRate,BackgroundImage1,Bimg1,Bimg2,Tank,handles,hObject,eventdata)
    
    set(handles.text1,'Visible','on');
    
    [Image1x,Image2x]=CaptureImg1(cam1,cam2,bufArr,imgSize,imgWidth,imgHeight,AOI1,AOI2);
    TotalTime=Time*FrameRate;
%BackgroundImage1=Image1x;,Bimg1=Image1x;,Bimg2=Image2x;
    fab1=flipdim(Image2x',2);
    fac=[size(Image1x)./size(fab1)];
    mn2=size(Image1x,2);

   % Bimg2f=flipdim(Bimg2',2);

    writerObj1 = VideoWriter(SideFileName) ;
    writerObj1.FrameRate=FrameRate;
    open(writerObj1);

    writerObj2 = VideoWriter(TopFileName) ;
    writerObj2.FrameRate=FrameRate;
    open(writerObj2);
    
    tic;
    i=1;
    mg=120;
    [FrameSI,temp1]=CaptureImg1(cam1,cam2,bufArr,imgSize,imgWidth,imgHeight,AOI1,AOI2);
    
    %FrameS{i}.t=toc;
    FrameTI=flipdim(temp1',2);

    A1=FrameSI;
    B1=FrameTI;
    
    [FrameT{1}.x,FrameT{1}.y]=TrackSingleFishnew111(B1,B1,0,0);

    rg{1}.x=FrameT{i}.y*fac(1);
    rg{1}.y=FrameT{i}.x*fac(2);

    By1{1}=floor(max(rg{1}.y-20,1));
    By2{1}=floor(min(rg{1}.y+20,mn2));

%     [FrameS{1}.x,FrameS{1}.y]=TrackSingleFishnew11(FrameSI(:,B1{1}:B2{1}),BackgroundImage1(:,B1{1}:B2{1}),Bimg1(:,B1{1}:B2{1}));
%     FrameS{1}.x=FrameS{1}.x+B1{1};
    [FrameS{1}.x,FrameS{1}.y,vv1]=TrackSingleFishnew111(A1(:,By1{1}:By2{1}),A1(:,By1{1}:By2{1}),0,0);%FrameSI(:,B1:B2),BackgroundImage1(:,B1:B2),Bimg1(:,B1:B2));
   FrameS{1}.x=FrameS{1}.x+By1{1};
    
    V=insertShape(insertShape(FrameSI,'line',[FrameS{i}.x 0 FrameS{i}.x size(FrameSI,1)],'color','r'),'line',[0 FrameS{i}.y size(FrameSI,2) FrameS{i}.y],'color','r');
    writeVideo(writerObj1,imresize(V,2));

    V1=insertShape(insertShape(FrameTI,'line',[FrameT{i}.x 0 FrameT{i}.x size(FrameTI,1)],'color','r'),'line',[0 FrameT{i}.y size(FrameTI,2) FrameT{i}.y],'color','r');
    writeVideo(writerObj2,imresize(V1,2));
%     imshow(V,'Parent',handles.axes1);
%     imshow(V1,'Parent',handles.axes2);
%     guidata(hObject, handles)
%     refreshdata(handles.axes1);
%     refreshdata(handles.axes2);
%    update_plots(hObject,eventdata,handles);
    set(handles.text1,'String',sprintf('Remain: %2.0f %%',100*(TotalTime-1)/(TotalTime)));
    refreshdata(handles.text1);
    
    frtime=toc;
    pause((1/FrameRate)-frtime);
    FrameS{1}.t=toc;
    
    vv1(1)=0;
    for i=2:Time*FrameRate
            tic;
            [A2,temp1]=CaptureImg1(cam1,cam2,bufArr,imgSize,imgWidth,imgHeight,AOI1,AOI2);
            
            B2=flipdim(temp1',2);
           
            
            [FrameT{i}.x,FrameT{i}.y,ww]=TrackSingleFishnew111(B2,B1,FrameT{i-1}.x,FrameT{i-1}.y);
            
             %[FrameT{i}.x,FrameT{i}.y,ww]=TrackSingleFishnew2(FrameTI,Bimg2f);

             rg{2}.x=FrameT{i}.y*fac(1);
             rg{2}.y=FrameT{i}.x*fac(2);
             
             By1{2}=floor(max(rg{2}.y-20,1));
             By2{2}=floor(min(rg{2}.y+20,mn2)); 
             
             Bx1=min(By1{1},By1{2});
             Bx2=max(By2{1},By2{2});
             
             
%             if(B1<1)
%                 B1=1;
%                 B2=ww;
%             end
%             if(B2>mn2)
%                 B1=mn2-ww;
%                 B2=mn2;
%             end
            

             [FrameS{i}.x,FrameS{i}.y,vv1(i)]=TrackSingleFishnew111(A2(:,Bx1:Bx2),A1(:,Bx1:Bx2),FrameS{i-1}.x-By1{1},FrameS{i-1}.y);%FrameSI(:,B1:B2),BackgroundImage1(:,B1:B2),Bimg1(:,B1:B2));
               FrameS{i}.x=FrameS{i}.x+Bx1;
%             imshow(A2,[])
%             hold on
%             plot(FrameS{i}.x,FrameS{i}.y,'*r');
%               if((abs(FrameT{i}.x-FrameT{i-1}.x)+abs(FrameT{i}.y-FrameT{i-1}.y))>15)
%                 mg=mg+1;
%                 Bimg2f=uint8(((mg-1)/mg).*double(Bimg2f)+(1/mg)*double(FrameTI));
%                 Bimg1=uint8(((mg-1)/mg).*double(Bimg1)+(1/mg)*double(FrameSI));
%                 BackgroundImage1=stdfilt(Bimg1);
%               end

             if(isnan(FrameS{i}.x)==0 && isnan(FrameS{i}.y)==0)
                V=insertShape(insertShape(FrameSI,'line',[FrameS{i}.x 0 FrameS{i}.x size(FrameSI,1)],'color','r'),'line',[0 FrameS{i}.y size(FrameSI,2) FrameS{i}.y],'color','r');
                writeVideo(writerObj1,imresize(V,2));
             end

             if(isnan(FrameT{i}.x)==0 && isnan(FrameT{i}.y)==0)
                 V1=insertShape(insertShape(FrameTI,'line',[FrameT{i}.x 0 FrameT{i}.x size(FrameTI,1)],'color','r'),'line',[0 FrameT{i}.y size(FrameTI,2) FrameT{i}.y],'color','r');
                 writeVideo(writerObj2,imresize(V1,2));
             end
%              imshow(V,'Parent',handles.axes1);
%              imshow(V1,'Parent',handles.axes2);
%              guidata(hObject, handles);
%              refreshdata(handles.axes1);
%              refreshdata(handles.axes2);
                set(handles.text1,'String',sprintf('Remain: %2.0f %%',100*(TotalTime-i)/(TotalTime)));
             refreshdata(handles.text1);
             %update_plots(hObject,eventdata,handles.text1);
             frtime=toc;
             pause((1/FrameRate)-frtime);
             FrameS{i}.t=toc;
             A1=A2;
             B1=B2;
             rg{1}=rg{2};
             By1{1}=By1{2};
             By2{1}=By2{2};
             
    end
    
    SideFrame=cell2mat(FrameS);
    TopFrame=cell2mat(FrameT);
    SXY=[SideFrame(:).t; SideFrame(:).x; SideFrame(:).y]';
    TXY=[TopFrame(:).x; TopFrame(:).y]';
    XYZ=[SXY TXY];
    csvwrite(TrackingDataFileName,XYZ);
    
    fileID = fopen([TrackingDataFileName,'_Config.txt'],'w');
    fprintf(fileID,'%25s %25s %25s %25s %25s %25s\n','Tank Width (cm)\n','Tank Width (pix/cm)','Tank Length (cm)','Tank Length (pix/cm)','Tank Height (cm)','Tank Height (pix/cm)');
    if(~isempty(Tank))
        fprintf(fileID,'%3.2f %3.2f %3.2f %3.2f %3.2f %3.2f\n',Tank.WidthCm,Tank.WidthPix,Tank.LengthCm,Tank.Len1Pix,Tank.HeightCm,Tank.HeightPix);
    else
        fprintf(fileID,'No Tank Configuration ;(');
    end
    fclose(fileID);
    
    close(writerObj1);
    close(writerObj2);
    
    set(handles.text1,'String','Busy');
        
end