
    PixelClock=17;
    FrameRate=12;
    Time=10*60;

    AOI1.X1=-1;
    AOI1.Y1=-1;
    AOI1.X2=-1;
    AOI1.Y2=-1;

    AOI2.X1=-1;
    AOI2.Y1=-1;
    AOI2.X2=-1;
    AOI2.Y2=-1;

%     Tank.RXside=1;
%     Tank.RXtop=1;
%     Tank.RY=1;
%     Tank.RZ=1;
%     Tank.MY=500;
    
   % [cam1, cam2]=InitCams(PixelClock,FrameRate);
   [cam1,bufArr,imgSize,imgWidth,imgHeight]=InitCams1(PixelClock,FrameRate,2);
   [cam2,bufArr,imgSize,imgWidth,imgHeight]=InitCams1(PixelClock,FrameRate,5);
    cam1.Timing.Exposure.Set(100);
    cam2.Timing.Exposure.Set(50);
   [A,B]=CaptureImg1(cam1,cam2,bufArr,imgSize,imgWidth,imgHeight,AOI1,AOI2);
   [Tank]=GetTankDim(flipdim(B',2),A);
    %[A,B]=CaptureImg();
    [AOI1] = SelectAOI1(cam1,A);
    pause(1);
    %[A,B]=CaptureImg();
    [A,B]=CaptureImg1(cam1,cam2,bufArr,imgSize,imgWidth,imgHeight,AOI1,AOI2);
    [AOI2] = SelectAOI1(cam2,flipdim(B',2));
    AOI4=AOI2;
    AOI2.X1=size(B',2)-AOI4.Y2;
    AOI2.Y1=AOI4.X1;
    AOI2.X2=size(B',2)-AOI4.Y1;
    AOI2.Y2=AOI4.X2;
    clear AOI4

   
    [Imag1{1}.I,Imag2{1}.I]=CaptureImg1(cam1,cam2,bufArr,imgSize,imgWidth,imgHeight,AOI1,AOI2);
    i=2;
    while(i<=FrameRate*10)
        [A,B]=CaptureImg1(cam1,cam2,bufArr,imgSize,imgWidth,imgHeight,AOI1,AOI2);
        Ax=abs(Imag2{i-1}.I-B);
        %Mx=mean(Ax(:));
        Ax=(Ax-min(Ax(:)))./(max(Ax(:))-min(Ax(:)));
        Ax=Ax.*255;
%         Ax=Ax>200;
%         Axx=sum(Ax);
         %Mx=sum(Axx);
         Ax=bwmorph(Ax,'clean');
         %Mx=floor(bwarea(Ax));
         regProp  = regionprops(Ax, {'Area'} );
          Area=cat(1,regProp.Area);

        [sArea sAind]=sort(Area,1, 'descend' );
        if(length(sArea)>0)
            if(sArea(1)>=100)
                Imag1{i}.I=A;
                Imag2{i}.I=B;
                i=i+1;
            end
           
        end
         subplot(1,2,1)
         imshow(Ax,[])
         
         subplot(1,2,2)
         imshow(B,[])
         if(length(sArea)>0)
          title([num2str(sArea(1)),' , ',num2str(i)]);
         end
        pause(1/FrameRate);
    end
    
    [BackgroundImage1,Bimg1] = ExtractBackground(Imag1);
    [BackgroundImage2,Bimg2] = ExtractBackground(Imag2);
    
    
    tic;
[Image1x,Image2x]=CaptureImg1(cam1,cam2,bufArr,imgSize,imgWidth,imgHeight,AOI1,AOI2);
         
fab1=flipdim(Image2x',2);
fac=[size(Image1x)./size(fab1)]
mn2=size(Image1x,2);

Bimg2f=flipdim(Bimg2',2);

writerObj1 = VideoWriter('SideV10Min5_Nov_2013A.avi') ;
writerObj1.FrameRate=FrameRate;
open(writerObj1);

writerObj2 = VideoWriter('TopV10Min5_Nov_2013A.avi') ;
writerObj2.FrameRate=FrameRate;
open(writerObj2);

tic
i=1;
mg=120;
[FrameSI,temp1]=CaptureImg1(cam1,cam2,bufArr,imgSize,imgWidth,imgHeight,AOI1,AOI2);
FrameTI=flipdim(temp1',2);
        
[FrameT{i}.x,FrameT{i}.y]=TrackSingleFishnew2(FrameTI,Bimg2f);

rg.x=FrameT{i}.y*fac(1);
rg.y=FrameT{i}.x*fac(2);

B1=floor(max(rg.y-470,1));
B2=floor(min(rg.y+470,mn2));

[FrameS{i}.x,FrameS{i}.y]=TrackSingleFishnew11(FrameSI(:,B1:B2),BackgroundImage1(:,B1:B2),Bimg1(:,B1:B2));
FrameS{i}.x=FrameS{i}.x+B1;

 V=insertShape(insertShape(FrameSI,'line',[FrameS{i}.x 0 FrameS{i}.x size(FrameSI,1)],'color','r'),'line',[0 FrameS{i}.y size(FrameSI,2) FrameS{i}.y],'color','r');
 writeVideo(writerObj1,V);
 
 V1=insertShape(insertShape(FrameTI,'line',[FrameT{i}.x 0 FrameT{i}.x size(FrameTI,1)],'color','r'),'line',[0 FrameT{i}.y size(FrameTI,2) FrameT{i}.y],'color','r');
 writeVideo(writerObj2,V1);

for i=2:Time*FrameRate
     %   hold on
        %close all
        [FrameSI,temp1]=CaptureImg1(cam1,cam2,bufArr,imgSize,imgWidth,imgHeight,AOI1,AOI2);
        FrameTI=flipdim(temp1',2);
        
         [FrameT{i}.x,FrameT{i}.y]=TrackSingleFishnew2(FrameTI,Bimg2f);

        rg.x=FrameT{i}.y*fac(1);
        rg.y=FrameT{i}.x*fac(2);
        
         B1=floor(max(rg.y-470,1));
         B2=floor(min(rg.y+470,mn2));
    
         [FrameS{i}.x,FrameS{i}.y]=TrackSingleFishnew11(FrameSI(:,B1:B2),BackgroundImage1(:,B1:B2),Bimg1(:,B1:B2));
          FrameS{i}.x=FrameS{i}.x+B1;
          
          if((abs(FrameT{i}.x-FrameT{i-1}.x)+abs(FrameT{i}.y-FrameT{i-1}.y))>15)
            mg=mg+1;
            Bimg2f=((mg-1)/mg).*Bimg2f+(1/mg)*FrameTI;
            Bimg1=((mg-1)/mg).*Bimg1+(1/mg)*FrameSI;
            BackgroundImage1=stdfilt(Bimg1);
          end
          
         if(isnan(FrameS{i}.x)==0 && isnan(FrameS{i}.y)==0)
            V=insertShape(insertShape(FrameSI,'line',[FrameS{i}.x 0 FrameS{i}.x size(FrameSI,1)],'color','r'),'line',[0 FrameS{i}.y size(FrameSI,2) FrameS{i}.y],'color','r');
            writeVideo(writerObj1,V);
         end

         if(isnan(FrameT{i}.x)==0 && isnan(FrameT{i}.y)==0)
             V1=insertShape(insertShape(FrameTI,'line',[FrameT{i}.x 0 FrameT{i}.x size(FrameTI,1)],'color','r'),'line',[0 FrameT{i}.y size(FrameTI,2) FrameT{i}.y],'color','r');
             writeVideo(writerObj2,V1);
         end
        %  subplot(1,2,1);
% % %         figure
% % % %           subimage(FrameT{i}.I);
% % %         imshow(FrameT{i}.I);
% % %           axis off
% % %           hold on
% % %           line([0 size(FrameT{i}.I,2)], [FrameT{i}.y FrameT{i}.y],'color','r');
% % %           line([FrameT{i}.x FrameT{i}.x], [0 size(FrameT{i}.I,1)],'color','r');
% % %           
% % %           figure
% % %           
% % %           %subplot(1,2,2);
% % % %           subimage(FrameS{i}.I);
% % %           imshow(FrameS{i}.I);
% % %           axis off
% % %           hold on
% % %           line([0 size(FrameS{i}.I,2)], [FrameS{i}.y FrameS{i}.y],'color','r');
% % %           line([FrameS{i}.x FrameS{i}.x], [0 size(FrameS{i}.I,1)],'color','r');
% % %            
            
%          II2{i}.X=TrackSideView.x;
%          II2{i}.Y=TrackSideView.y;
%          
%          II1{i}.X=TrackTopView.x+B1+10;
%          II1{i}.Y=TrackTopView.y;
%         
    %    [Xa(i),Ya(i),Za(i)]=Track3D(TrackTopView,TrackSideView, Tank);
        
%         plot3(Xa(i),Ya(i),Za(i),'*r');
   % pause(1/24);
end
    close(writerObj1);
    close(writerObj2);
tim=toc

% tic;
% SaveVideo('SideV10Min3_Nov_2013A.avi',FrameS,FrameRate);
% toc
% tic;
% SaveVideo('TopV10Min3_Nov_2013A.avi',FrameT,FrameRate);
% toc

% colormap(jet)
% for i=1:100:Time*FrameRate
%     imshow(FrameS{i}.I,[])
%     %imshow(imsharpen(II1{i}.I,'Amount',90),[])
%     hold on
%     %plot(II1{i}.X,II1{i}.Y,'*r');
%      line([0 size(FrameS{i}.I,2)], [FrameS{i}.y FrameS{i}.y],'color','r');
%      line([FrameS{i}.x FrameS{i}.x], [0 size(FrameS{i}.I,1)],'color','r');
%     colormap(bone)
%     title(num2str(i))
%     pause(0.01);
% end
% 
% colormap(jet)
% for i=1:Time*FrameRate*2
%     imshow(FrameT{i}.I,[])
%     %imshow(imsharpen(II1{i}.I,'Amount',90),[])
%     hold on
%     %plot(II1{i}.X,II1{i}.Y,'*r');
%      line([0 size(FrameT{i}.I,2)], [FrameT{i}.y FrameT{i}.y],'color','r');
%      line([FrameT{i}.x FrameT{i}.x], [0 size(FrameT{i}.I,1)],'color','r');
%     colormap(bone)
%     title(num2str(i))
%     pause(0.1);
% end
% 
% 
% 
% colormap(jet)
% for i=1:Time*FrameRate*2
%     imshow(II1{i}.I,[])
%     %imshow(imsharpen(II1{i}.I,'Amount',90),[])
%     hold on
%     %plot(II1{i}.X,II1{i}.Y,'*r');
%      line([0 size(II1{i}.I,2)], [II1{i}.Y II1{i}.Y],'color','r');
%      line([II1{i}.X II1{i}.X], [0 size(II1{i}.I,1)],'color','r');
%     colormap(bone)
%     title(num2str(i))
%     pause(0.1);
% end
% 
% 
% for i=1:Time*FrameRate*2
%         imshow(II2{i}.I,[])
%         hold on
%         %plot(II2{i}.X,II2{i}.Y,'*r');
%         line([0 size(II2{i}.I,2)], [II2{i}.Y II2{i}.Y],'color','r');
%         line([II2{i}.X II2{i}.X], [0 size(II2{i}.I,1)],'color','r');
%         
%         title(num2str(i))
%     colormap(jet)
%     pause(0.1);
% end
% 
% 
%  %ExitCams1(cam1,cam2);