clear all

close all

computer_type=computer;

if strcmp (computer_type,'PCWIN64')

NET.addAssembly('C:\Program Files\IDS\uEye\Develop\DotNet\x64\uEyeDotNetUserLayer.dll');

NET.addAssembly('C:\Program Files\IDS\uEye\Develop\DotNet\x64\uEyeDotNetApiLayer.dll');

elseif strcmp (computer_type,'PCWIN')

NET.addAssembly('C:\Program Files\IDS\uEye\Develop\DotNet\x86\uEyeDotNetUserLayer.dll');

NET.addAssembly('C:\Program Files\IDS\uEye\Develop\DotNet\x86\uEyeDotNetApiLayer.dll');

end

cam = uEye.Camera;

%cam.Exit();

CAM_ID=0;

exposure_ms=80;

cam.Init(CAM_ID);

ColorMode=uEye.Defines.ColorMode.SENSOR_RAW8;

cam.PixelFormat.Set(11);

cam.Trigger.Set(uEye.Defines.TriggerMode.Software);

[tmp, memId] = cam.Memory.Allocate(true);

[tmp, imgWidth] = cam.Memory.GetWidth(memId);

[tmp, imgHeight] = cam.Memory.GetHeight(memId);

[tmp, imgBpp] = cam.Memory.GetBitsPerPixel(memId);

imgBpp = imgBpp / 8;

imgSize = imgWidth * imgHeight * imgBpp;

bufArr = NET.createArray('System.Byte', imgSize);

soft = uEye.Software(CAM_ID);

soft.SetEnableAutoWhiteBalance(false);

soft.SetEnableAutoGain(false);

soft.SetEnableAutoShutter(false);

cam.Timing.Exposure.Set(exposure_ms); % msec

pause(0.1)
cam.Acquisition.Freeze(0.1);

[tmp, camMemPtr] =  cam.Memory.ToIntPtr;

System.Runtime.InteropServices.Marshal.Copy(camMemPtr, bufArr,0,imgSize);

img = uint8(bufArr);

myImage=reshape(img, imgWidth, imgHeight)';

imshow(myImage,[]);
cam.Exit;